Компрометация системы в MongoDB

Дата публикации:
27.03.2013
Дата изменения:
09.04.2013
Всего просмотров:
1168
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:U/RC:C) = Base:7.9/Temporal:6.7
CVE ID:
CVE-2013-1892
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MongoDB 2.x
Уязвимые версии: MongoDB 2.4.1 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки в функции "native_helper()" в файле scripting/engine_spidermonkey.cpp при обработке объектов JavaScript. Удаленный пользователь может разыменовать произвольный указатель и скомпрометировать целевую систему.

URL производителя: http://www.mongodb.org/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: MongoDB nativeHelper.apply Remote Code Execution
https://jira.mongodb.org/browse/SERVER-9124
http://blog.scrt.ch/2013/03/24/mongodb-0-day-ssji-to-rce/
Журнал изменений: 09.04.2013 - Добавлен PoC-код.

или введите имя

CAPTCHA